Discussion on Election - Political WordPress Theme

Discussion on Election - Political WordPress Theme

Cart 803 sales
Recently Updated
Well Documented

Softwebmedia supports this item

Supported

303 comments found.

The error 404 page does not go to a page that is on my website.

What is the website URL that would go into that URL box?

voteforcitycouncilman.com

I followed the directions and have everything installed. How come I if I make any changes to the tabs on the top it messed up the menu and it doesn’t display right.

Also this page http://www.voteforcitycouncilman.com/loremipsum/ the links to go your website sample and not to my website. How do I change that?

Hello @christinadanderson,

You can edit 404 page content from Admin > Customizer > Error 404

Screenshot: https://paste.pics/HAPLD

Thank you.

I tried to install the Eection theme I bought but got this error:

The package could not be installed. The theme is missing the style.css stylesheet.

What do I do now to fix this? Thanks.

Hello @flangheinrich,

Thank you for the purchasing the theme.

Please unzip main downloaded zip file ( Election-v1.27.zip ) and only upload “election.zip” file.

Related article : https://help.market.envato.com/hc/en-us/articles/202821510

Video tutorial : https://www.youtube.com/playlist?list=PL8n7iaIVOHAnBxsSKDXL6nsVIG3znIN4W

Thank you.

Hello, what plugin are we suppose to be using to edit content?

Hello @FMAB1,

We didn’t add drag and drop visual editor compatibility with the theme. You can use shortcode generator to add content and editor text mode to edit content.

Thank you.

Ragspur

Ragspur Purchased

So far, the easiest theme I have used. I added the testimonials as a widget to the site https://sheriffdaleschmidt.com It seems to adjust for the amount of text to a point (255 chars?), then it cuts off. What file do I adjust (or what do I change in the testimonial part) to allow it to show the entire testimonial.

Ragspur

Ragspur Purchased

I changed the widget to blank (supposed to show all) and it didn’t show it all, changed it to 500 and it showed more of the testimonial. Changed it to 700 and nothing changed. Seems like 500 is the limit. I moved the long one to the excerpt section and it seems to work.

Hello @Ragspur,

We used get_the_excerpt() function to display testimonials. If the excerpt section is blank, it will use content text. You can increase the default summary text limit. Add the below code in the child theme’s functions.php file.


if( ! function_exists( 'swm_excerpt_length' ) ) {
    function swm_excerpt_length( $length ) {
        return 2000;
    }
    add_filter( 'excerpt_length', 'swm_excerpt_length', 999 );
}

Thank you.

Ragspur

Ragspur Purchased

I have installed this theme on my site ragspur.com but the favicons are not showing up. There is no console error saying they aren’t loaded, and inspection of the code just shows commas (, , , , ).

Can you help?

Hello @Ragspur,

You can add favicon from Admin > Customizer > Site Identity > Site Icon

If you already uploaded a favicon image, please send your website admin login details from our profile page form ( https://themeforest.net/user/softwebmedia ) to debug the issues.

Thank you.

Ragspur

Ragspur Purchased

Sorry, I didn’t mean favicon, I meant the font awesome for the menu showing current menu. I just disabled that feature and it seems to work.

Thank you for your reply.

Icon names URL is changed. You can refer to it from this link: https://fontawesome.com/v4/icons/

Hello Just recently purchased the election theme. I need a little assistance. Do you have a tutorial video or can you provide support. I am having a very hard time editing it.  Please help!!

Hello @Btmcenter5,

You can refer to this tutorials for theme setup and customization: https://bit.ly/3K4ehXp

You can share issues details here or you can use our contact form ( https://themeforest.net/user/softwebmedia ).

Thank you.

Hi,

I have a problem with the Election template:

1) not working properly – tabs_horizontal (even on the home page www.pozarowo.pl) 2) testimonials in widget in footer is not loading properly.

Can I ask for help in resolving the problems?

Best regards, Rafal

Hello @Rafal,

We fixed both issues in the latest version. Please update the “Election” theme (1.25) and “Poli Shortcodes” (1.08) plugin to fix it.

Documentation to update ThemeForest theme with bundle plugins: https://bizixdocs.premiumthemes.in/category/updating-the-theme/

Thank you.

Hi,

thank you for the quick reply.

After updating the “Election” theme to version 1.25 and plugin “Poli Shortcodes” to version 1.08:

- the problem with tabs_horizontal has resolved, - there was a problem with testimonials (in the footer on the home page), - there was a problem with swm_image_slider animation_type – the gallery stopped displaying.

Additionally, after updating Slider Revolution plugin to version 5.4.8.1, warnings appear:

Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /wp-content/plugins/revslider/includes/operations.class.php on line 2858

Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /wp-content/plugins/revslider/includes/operations.class.php on line 2862

Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /wp-content/plugins/revslider/includes/output.class.php on line 3708

Please help, Rafal

Hello Rafal,

We fixed image slider display issue and uploaded new version on themeforest. Please replace it.

Testimonials slider issue is fixed, please delete temp. files or check in diff. computer.

It seems php version issue with slider revolution. Please change php version to 7.0 or lower.

Thank you.

Election – Political WordPress Theme this template really perfect to me and easy to customize , please can you add me some fake voting counter database under the slide image? the counter started in million like 25,435,392 format , it auto increment randomly in some seconds like 30-60 . user also can manually vote only one time I mean IP address a day.

Hello @wale2021,

Thank you for contacting us. You can hire a developer to add any new feature in the theme.

Thank you.

Thank you for your replied . . last question , if i buy this theme , it come with all pages , Images , as I saw ? And can I change the Images ?

Hello @wale2021,

You can import demo site XML file to get sample content and replace images with your website images.

Video tutorial: https://bit.ly/3swSjXc

Thank you.

Hi,

Recently we had an issue with our website using this theme. Apparently, our hosting company updated their PHP versions and it seems this theme was not supporting the new PHP version. Any advise on this please? Currently we are running a lower version of PHP just so that the site could run.

Warning: Creating default object from empty value in /home/customer/www/forext.eu/public_html/wp-content/plugins/stylish-links/options/inc/class.redux_filesystem.php on line 29

Warning: Cannot modify header information – headers already sent by (output started at /home/customer/www/forext.eu/public_html/wp-content/plugins/stylish-links/options/inc/class.redux_filesystem.php:29) in /home/customer/www/forext.eu/public_html/wp-includes/pluggable.php on line 991

Hello @johnpantilanan,

Please disable Stylish Links plugin and check the theme with updated PHP version.

Thank yo.

I have noticed that under plugins – it always lists the included Slider Revolution as “A new version of Slider Revolution is available” and there is a link to activate said plugin for premium benefits (live updates.)

I was under the impression that it would auto update per purchasing the template. If not – do we need to create an account with Slider revolution? PLease advise.

Hello @champcreative,

You don’t need to purchase slider revolution because theme has plugin’s bundle version.

Please download main zip file which has “Plugins” folder to get slider revolution file. Please take backup of current sliders (export slider zip file) and then install slider revolution version 6+.

Thank you.

I have installed the politics theme – both child and full, with full currently active. When I go to edit pages I am seeing swm shortcode. Am I missing a plugin that will allow me to edit this code? What plugin should I have installed?

Hello @acamp68,

Drag and drop Page builder is not included with the theme. You can use shortcodes generator to add elements.( Plus icon on Editor toolbar )

If you are using WP 5.6+ version then you can use the jQuery Migrate plugin to fix jquery issues.

Steps to use jQuery migrate plugin.

1. Install and acitvate “Enable jQuery Migrate Helper” plugin: https://wordpress.org/plugins/enable-jquery-migrate-helper/

2. Go to Tools > jQuery Migrage > Settings > ” jQuery Version” – select “Legacy 1.12.4-wp ( screenshot: https://paste.pics/BS63J )

Thank you.

Good day – I noticed that many of the Election Theme features are now not working in Wordpress 5.7.1. I’m hoping that you will address and curious if when you do they will auto update on our end. HELP?

Hello champcreative,

Please the jQuery Migrate plugin to fix compatibility issue.

Steps to use jQuery migrate plugin.

1. Install and acitvate “Enable jQuery Migrate Helper” plugin: https://wordpress.org/plugins/enable-jquery-migrate-helper/

2. Go to Tools > jQuery Migrage > Settings > ” jQuery Version” – select “Legacy 1.12.4-wp ( screenshot: https://paste.pics/BS63J )

Thank you.

thanks. fixed it.

Hi! None of the “Theme Option” functionalities not working. Even the “Save all changes” button is not working. What should I do?

Thank You!

Hi @nadeerag,

Please check the theme name because the “Theme Option” page “Save all changes” button does not exist in the theme.

Thank you.

Thank you!

hello, is the demo loading up okay for everyone else?

Hello @FMAB1,

I replied to your email, please check.

Thank you.

Hi, I tried to import the demo xml, but it didn’t seem to work out. I tried to follow the exact steps, but without the desired result. Could you please help out. I can give you a login on www.vota2021.com if needed.

Thanks in advance, Paul (pvanbladel@gmail.com)

Hello Paul,

Your website seems perfectly, please upload footer widget and set small footer as per given instruction on footer section. I disable hotlinking demo site images so it will display on your server but you have to replace these images with your website images. Thank you.

Thanks, got it, one more question: how do you change the google map location in the contact us page?

You can select header style “Google Map” and add embed code ( screenshot : https://paste.pics/8aa92496ba2e9656be42390ee45fbf5a )

Video embed code tutorial: https://www.youtube.com/watch?v=HjZHkEWTCYg

Good afternoon,

I have a problem with the template when embedding social media posts such as Facebook and Instagram, it tells me the following:

“Sorry, this content cannot be embedded.”

Even taking into account the way to embed posts with facebook. They do not load the images from facebook, we already check that all the permissions on facebook are correct, we only want to verify some solution with the template or if it has some restrictions to embed publications.

Best regards.

Hello @Napster777,

Please use classic editor block inside Gutenberg editor to display embed code items. You can refer video tutorials for more details ( https://bit.ly/3ccTVgl ).

Issue fix video tutorial: https://bit.ly/3cfngXA

Thank you.

I am having issues with the polishortcodes.

https://townofgoldenmeadow-la.gov/wp-content/plugins/poli-shortcodes/shortcodes/tinymce/js/popup.js: jQuery.fn.live() is deprecated

The website only functions if I have jQuery Migrate Helper enabled.

The theme is up to date, but I don’t see the polishortcode plugin anywhere in the download. Can you assist?

The polishortcode is updated, but I am still getting the deprecated error.

Hello johnkyzar,

Please give me details of issues and send your website admin login details from our profile page form ( https://themeforest.net/user/softwebmedia ) so I can check the issue and fix it.

Thank you.

Sent it.

6aad4c67-1da0-4aa9-8636-c09aeb0f5d79

Hi please I need your help to set the default active tab onload

swm_tabs style=”tabs_horizontal” title=”Etat des lieux,Réformes engagées,Résultats obtenus” /tab /tab /tab

how can set the active tab to tab2? thanks.

Hi kabascolby,

We can make only first tab active by default, other tabs are not possible to make active with current tabs script.

Thank you.

As tradert said above, i’m having the exact same problem

Hello MetalPotatoUK,

Issue was fixed with latest version of Election theme and “Poli Shortcodes” plugin. Please delete temp. files, cookies and purge cache and check that issue after update.

If above step doesn’t help to fix the issue then please send your website admin login details from our profile page form ( https://themeforest.net/user/softwebmedia ) so I debug and fix the issue.

Thank you.

I updated to the latest version of WordPress and it seems to have partially broken the theme. The hero image swallows the beginning of blog posts, and the columns on the homepage are no longer aligned.

Please update “Poli Shortcodes” plugin with latest version of the theme and then delete cookies, temp. files and purge cache to fix the issue.

Didn’t work

Please send your website admin login details from our profile page form ( https://themeforest.net/user/softwebmedia ) so I can check and fix the issue.

by
by
by
by
by
by

Tell us what you think!

We'd like to ask you a few questions to help improve ThemeForest.

Sure, take me to the survey